<?php

class HtaccessRedirects extends Module
{
    public function __construct()
    {
        $this->name = 'htaccessredirects';
        $this->tab = 'administration';
        $this->version = '1.0.1';
        $this->author = 'thirty bees';
        $this->need_instance = 0;
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('.htaccess redirects');
        $this->description = $this->l('Redirect your URLs via .htaccess');
    }

    public function getContent()
    {
        echo '<!doctype html><html><body>';

        $shop = Context::getContext()->shop;

        $baseUrl = $shop->virtual_uri;

        $sql = new DbQuery();
        $sql->select('`id_product`, `link_rewrite`, `id_lang`');
        $sql->from('product_lang');

        $results = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($sql);

        $langs = Language::getLanguages(true);
        $languages = [];

        foreach ($langs as $language) {
            $languages[$language['id_lang']] = $language;
        }

        if (is_array($results)) {
            if (count($languages) > 1) {
                foreach ($results as $result) {
                    echo "RewriteRule ^{$baseUrl}/{$languages[$result['id_lang']]['iso_code']}/{$result['id_product']}-{$result['link_rewrite']}\.html$ {$baseUrl}/{$languages[$result['id_lang']]['iso_code']}/{$result['link_rewrite']}.html [L]<br />";
                }
            } else {
                foreach ($results as $result) {
                    echo "RewriteRule ^{$baseUrl}/{$result['id_product']}-{$result['link_rewrite']}\.html$ {$baseUrl}/{$result['link_rewrite']}.html [L]<br />";
                }
            }
        }


        echo '</body></html>';
        die();
    }
}
